<?php

namespace Treewec;

/**
 * Test class for View.
 * Generated by PHPUnit on 2012-03-25 at 16:38:41.
 * @group mvc
 */
class ViewTest extends \PHPUnit_Framework_TestCase {

    /** @var View */
    private $view;

    protected function setUp() {
        $this->view = new View();
    }

    public function testAddContent() {
        $text = 'Hello World';
        $this->view->addContent($text);
        parent::assertEquals($text, Output::getPrintedText($this->view, 'display'));
    }

    public function testAddData() {
        $this->view->addContent(new FileSystem\File(__DIR__ . '/test.php'));
        $this->view->addData(array('variable' => 'World'));
        parent::assertEquals('Hello World', Output::getPrintedText($this->view, 'display'));
    }

}

?>
